Bug 493247 - Review Request: perl-Gnome2-Wnck -- Perl interface to the Window Navigator Construction Kit
Review Request: perl-Gnome2-Wnck -- Perl interface to the Window Navigator Co...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Gnome2-Wnck/
:
Depends On:
Blocks: 493246
  Show dependency treegraph
 
Reported: 2009-04-01 01:02 EDT by Liang Suilong
Modified: 2009-06-14 12:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-14 12:25:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2009-04-01 01:02:15 EDT
SRPM file: http://liangsuilong.fedorapeople.org/shutter/perl-Gnome2-Wnck-0.16-1.fc11.src.rpm

Description:
This module allows a Perl developer to use the Window Navigator Construction Kit library (libwnck for short) to write tasklists and pagers.

Shutter depends on it.
Comment 1 Mamoru TASAKA 2009-04-01 14:52:53 EDT
Also see my comment on bug 493250
(By the way I doubt your package builds on your machine...)

Then:
- Please use canonical cpan site URL for Source0.
- @foo@ in BuildRequires is invalid.
  Also please consider if such explicit version-specific (Build)Requires
  are really needed.
- For perl modules please don't write the rpm name directory as
  (Build)Requires but write virtual Provides names the rpms provide
  (BuildRequires: perl(ExtUtils::Depends) or so)
  https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides
- These explicit Requires:
-------------------------------------------------------
Requires: libwnck >= %(pkg-config --modversion libwnck-1.0)
Requires: perl-Glib >= @PERL_GLIB@
Requires: perl-Gtk2 >= @PERL_GTK@
Requires: gtk2, glib perl-Gtk2, cairo
--------------------------------------------------------
   should not be needed. Also "Requires: %(perl -MConfig -le 'if (de....."
   is not needed, I guess. rpmbuild itself should handle these.
- Please make %description divided into several lines.
- Please add some documents
Comment 2 Liang Suilong 2009-04-06 12:20:50 EDT
I have uploaded a new SRPM to my space.
SPEC: http://liangsuilong.fedorapeople.org/shutter/perl-Gnome2-Wnck.specSRPM:
SRPM: http://liangsuilong.fedorapeople.org/shutter/perl-Gnome2-Wnck-0.16-2.fc10.src.rpm

Also you can read what I say in this report: bug 493250
https://bugzilla.redhat.com/show_bug.cgi?id=493250

In addition, I have a question to ask you:

Which language is default language of your Fedora, Japanese or English?

I find that Packagekit seems to only support UTF8.
Comment 3 Mamoru TASAKA 2009-04-06 12:48:10 EDT
Before I check your latest srpm:

(In reply to comment #2)
> Which language is default language of your Fedora, Japanese or English?
Japanese.

> I find that Packagekit seems to only support UTF8.  
Well, I don't know why you are speaking of PackageKit here,
however on my system:
[tasaka1@localhost ~]$ grep -i packagekit /var/log/rpmpkgs
[tasaka1@localhost ~]$
Comment 4 Mamoru TASAKA 2009-04-09 12:33:08 EDT
Some notes for 0.16-2:

* License
  - The license tag "Distributable, see LICENSE" is invalid.
    For this package the license tag should be "LGPLv2+".

* BuildRequires:
  - The following BR is invalid:
---------------------------------------------------------------
BuildRequires:  libwnck-devel >= @GNOME_WNCK@
---------------------------------------------------------------

* Requires
  - The following Requires are redundant. rpmbuild should
    automatically detect these dependencies
---------------------------------------------------------------
Requires:       perl(ExtUtils::Depends) >= 0.20
Requires:       perl(ExtUtils::PkgConfig) >= 1.03
Requires:       perl(Glib) >= 1.180
Requires:       perl(Gtk2) >= 1.00
---------------------------------------------------------------
   - The following misses the last ")"
---------------------------------------------------------------
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)
---------------------------------------------------------------

* Make build.log more verbose (and also on the bug 493250)
  - The current build.log shows:
---------------------------------------------------------------
    62  chmod 644 Wnck.bs
    63  [ CC xs/Wnck.c ]
    64  [ CC xs/WnckApplication.c ]
    65  [ CC xs/WnckClassGroup.c ]
    66  [ CC xs/WnckPager.c ]
---------------------------------------------------------------
   This is not useful, e.g. we cannot check if Fedora specific
   compilation flags are correctly honored.
   The following method will show more verbose message,
   however there may be some other method (Parag, would you know?)
---------------------------------------------------------------
make %{?_smp_mflags} NOECHO=
---------------------------------------------------------------
Comment 5 Mamoru TASAKA 2009-04-18 12:12:41 EDT
ping?
Comment 7 Mamoru TASAKA 2009-04-22 16:02:50 EDT
For -3:

* License
  - License tag is still invalid (please check my previous comment)

* BuildRequires
  - This package won't build without "BuildRequires: libwnck-devel"
    (What I said in the previous comment is that 
    "BuildRequires: libwnck-devel >= *@GNOME_WNCK@*" is invalid)

* Directory ownership issue
  - This package should not own the directories
    %{perl_vendorarch}/auto/ and %{_mandir}/man3/ 
    (I am saying of owning these directories themselves
    and not saying about files/directories under these directories)
Comment 8 Mamoru TASAKA 2009-05-09 12:44:25 EDT
ping?
Comment 9 Liang Suilong 2009-05-10 05:57:54 EDT
Mamoru Tasaka

I have fixed the problems and tried to build it on koji build system. It is OK and it does not appear any errors.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1346090
Comment 10 Mamoru TASAKA 2009-05-11 11:05:18 EDT
For 0.16-4:

* License tag
  - Not "LPGLv2+" but "LGPLv2+".

* Macros in %changelog
  - In changelog, use %% instead of % to suppress macro
    expansion like:
---------------------------------------------------------------
* Sun May 10 2009 Liang Suilong <liangsuilong@gmail.com> 0.16-4
- Modify BuildRequires and correct the %%files.
---------------------------------------------------------------

Please fix above when importing this package into
Fedora CVS.

---------------------------------------------------------
  This package (perl-Gnome-Wnck) is APPROVED by mtasaka
---------------------------------------------------------
Comment 11 Mamoru TASAKA 2009-05-21 10:31:48 EDT
Would you write CVS request?
Comment 12 Liang Suilong 2009-05-21 10:38:38 EDT
New Package CVS Request
=======================
Package Name: perl-Gnome2-Wnck
Short Description: Perl interface to the Window Navigator Construction Kit
Owners: liangsuilong
Branches: F-10 F-10 devel
InitialCC: liangsuilong
Cvsextras Commits: yes
Comment 13 Liang Suilong 2009-05-24 11:35:25 EDT
New Package CVS Request
=======================
Package Name: perl-Gnome2-Wnck
Short Description: Perl interface to the Window Navigator Construction Kit
Owners: liangsuilong
Branches: F-10 F-11 devel
InitialCC: liangsuilong
Cvsextras Commits: yes
Comment 14 Liang Suilong 2009-05-25 00:42:47 EDT
Does anyone review my CVS request?
Comment 15 Jason Tibbitts 2009-05-26 18:27:00 EDT
CVS requests are processed by a human and are not seen at all unless you set the fedora-cvs flag as Mamoru did for you.

CVS done.
Comment 16 Mamoru TASAKA 2009-06-03 04:27:58 EDT
Please rebuild this package on koji and submit push
requests on bodhi for F-10/11.
Comment 17 Mamoru TASAKA 2009-06-14 12:25:37 EDT
Now closing.

Note You need to log in before you can comment on or make changes to this bug.